// Copyright (C) 2009 Milton Pividori, César Sandrigo
//
// This file is part of Stratos.
//
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace IceServerSample
{
	public class IceServerSample
	{
		public static void Main(string[] args)
		{
			int status = 0;
			Ice.Communicator ic = null;
			try {
				//ic = Ice.Util.initialize(ref args);
				ic = Ice.Util.initialize();
				Ice.ObjectAdapter adapter =
					ic.createObjectAdapterWithEndpoints(
						"SimplePrinterAdapter", "default -p 10000");
				Ice.Object obj = new PrinterI();
				adapter.add(
					obj,
					ic.stringToIdentity("SimplePrinter"));
				adapter.activate();
				ic.waitForShutdown();
			} catch (Exception e) {
				Console.Error.WriteLine(e);
				status = 1;
			}
			if (ic != null) {
				// Clean up
				//
				try {
					ic.destroy();
				} catch (Exception e) {
					Console.Error.WriteLine(e);
					status = 1;
				}
			}
			Environment.Exit(status);
		}
	}
}