// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;

using Stratos.Common.Excepciones;

namespace ConsultasWeb
{
	public class Global : System.Web.HttpApplication
	{
		private static StratosServerConexion stratosServerConexion;
		
		protected virtual void Application_Start(Object sender, EventArgs e)
		{
			stratosServerConexion = StratosServerConexion.Inicializar();
			Application["controladorProductos"] = stratosServerConexion.controladorProductos;
		}
		
		protected virtual void Session_Start(Object sender, EventArgs e)
		{
		}
		
		protected virtual void Application_BeginRequest(Object sender, EventArgs e)
		{
			if (stratosServerConexion.VerificarConexion())
				return;
			
			stratosServerConexion.ConectarServidor();
			Application["controladorProductos"] = stratosServerConexion.controladorProductos;
		}
		
		protected virtual void Application_EndRequest(Object sender, EventArgs e)
		{
		}
		
		protected virtual void Application_AuthenticateRequest(Object sender, EventArgs e)
		{
		}
		
		protected virtual void Application_Error(Object sender, EventArgs e)
		{
//			// At this point we have information about the error
//			HttpContext ctx = HttpContext.Current;
//			
//			Exception exception = ctx.Server.GetLastError ();
//			
//			string mensaje = exception.Message;
//			
//			if (exception is StratosException)
//				mensaje = (exception as StratosException).mensaje;
//			
//			string errorInfo = 
//				"<h2>Error<h2>" + mensaje;
//			
//			ctx.Response.Write (errorInfo);
//			
//			Console.WriteLine(exception.ToString());
//			
//			// --------------------------------------------------
//			// To let the page finish running we clear the error
//			// --------------------------------------------------
//			ctx.Server.ClearError ();
		}
		
		protected virtual void Session_End(Object sender, EventArgs e)
		{
		}
		
		protected virtual void Application_End(Object sender, EventArgs e)
		{
			if (stratosServerConexion != null && stratosServerConexion.VerificarConexion())
				stratosServerConexion.DesconectarServidor();
		}
	}
}

