// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Data;

namespace Migrador
{
	public class DataGetter
	{
		private IDataReader dataReader;
		
		public DataGetter(IDataReader dataReader)
		{
			this.dataReader = dataReader;
		}
		
		public bool ColumnaExiste(string columna)
		{
			try {
				this.dataReader.GetOrdinal(columna);
				return true;
			}
			catch (IndexOutOfRangeException) {
				return false;
			}
		}
		
		public decimal? GetDecimal(string columna)
		{
			int nroColumna = this.dataReader.GetOrdinal(columna);
			
			if (this.dataReader.IsDBNull(nroColumna))
				return null;
			
			return this.dataReader.GetDecimal(this.dataReader.GetOrdinal(columna));
		}
		
		public double? GetDouble(string columna)
		{
			int nroColumna = this.dataReader.GetOrdinal(columna);
			
			if (this.dataReader.IsDBNull(nroColumna))
				return null;
			
			return this.dataReader.GetDouble(nroColumna);
		}
		
		public string GetString(string columna)
		{
			int nroColumna = this.dataReader.GetOrdinal(columna);
			
			if (this.dataReader.IsDBNull(nroColumna))
				return null;
			
			return this.dataReader.GetString(nroColumna);
		}
		
		public DateTime? GetDateTime(string columna)
		{
			int nroColumna = this.dataReader.GetOrdinal(columna);
			
			if (this.dataReader.IsDBNull(nroColumna))
				return null;
			
			return this.dataReader.GetDateTime(nroColumna);
		}
		
		public int? GetInteger(string columna)
		{
			int nroColumna = this.dataReader.GetOrdinal(columna);
			
			if (this.dataReader.IsDBNull(nroColumna))
				return null;
			
			return this.dataReader.GetInt32(nroColumna);
		}
	}
}
