// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;
using System.Reflection;
using System.Data;

using Castle.ActiveRecord;
using Castle.ActiveRecord.Framework.Config;
using Npgsql;

using Stratos.Common;
using Stratos.ModeloObjetos;

namespace Migrador
{
	public class MainClass
	{
		private static NpgsqlConnection con;
		private static NpgsqlConnection con2;
		
		public static string cadenaConexion =
			"Server=wasabi;Database=stratos;User ID=stratos;Password=stratosmpserver;";
		
		public static void Main(string[] args)
		{
			XmlConfigurationSource source = new XmlConfigurationSource(
				RecursosAdmin.GetRecurso("ActiveRecord.config.xml"));
			
			Assembly assemblyModeloObjetos =
				Assembly.GetAssembly(typeof(Stratos.ModeloObjetos.Cliente));
			
			ActiveRecordStarter.Initialize(assemblyModeloObjetos, source);
			
//			Console.WriteLine("IMPORTANTE: Para que el schema se genere correctamente, configue las clases " +
//			                  "de negocio tal cual van a estar en el sistema en producción, así se genera " +
//			                  "todo lo necesario, como todas las secuencias que se vayan a necesitar");
//			Console.WriteLine();
//			Console.WriteLine("Precione una tecla para continuar...");
//			Console.Read();
//			
//			Console.WriteLine("Borrando schema...");
//			ActiveRecordStarter.DropSchema();
//			
//			Console.WriteLine("Creando schema...");
//			ActiveRecordStarter.CreateSchema();
			
//			Console.WriteLine("Actualizando schema...");
//			IList list = ActiveRecordStarter.UpdateSchema();
//			
//			foreach (var obj in list)
//				Console.WriteLine("Objeto: " + obj);
			
			// ###########
			List<IMapeoTabla> mapeos = new List<IMapeoTabla>();
			
//			mapeos.Add(MapeoClientes.Instancia);
//			mapeos.Add(MapeoRubros.Instancia);
//			mapeos.Add(MapeoSubrubros.Instancia);
//			mapeos.Add(MapeoProductos.Instancia);
//			mapeos.Add(MapeoRecibos.Instancia);
//			mapeos.Add(MapeoFacturas.Instancia);
//			mapeos.Add(MapeoPreFacturas.Instancia);
//			mapeos.Add(MapeoCreditos.Instancia);
//			mapeos.Add(MapeoDebitos.Instancia);
//			mapeos.Add(MapeoProveedores.Instancia);
			mapeos.Add(MapeoFacturasCompras.Instancia);
			
			// ###########
			con = new NpgsqlConnection(cadenaConexion);
			con.Open();
			
			NpgsqlCommand comando;
			NpgsqlTransaction tx;
			IDataReader reader;
			
			foreach(IMapeoTabla map in mapeos) {
				Console.WriteLine("Mapeo: " + map.DescripcionMapeo);
				
				// Muestro el mensaje antes de comenzar
				if (map.MensajeAntesDeComenzar != String.Empty) {
					Console.WriteLine("  Mensaje antes de comenzar el mapeo:\n{0}",
					                  map.MensajeAntesDeComenzar);
					Console.WriteLine();
					Console.WriteLine("Precione una tecla para continuar...");
					Console.Read();
				}
				
				tx = con.BeginTransaction();
				map.RealizarLimpieza(con);
				tx.Commit();
				tx.Dispose();
				
				comando = con.CreateCommand();
				comando.CommandText = map.ConsultaSql;
				
				reader = comando.ExecuteReader();
				
				map.Transformar(reader);
				Console.WriteLine();
				
				reader.Close();
				
				// Muestro el mensaje después de terminar
				if (map.MensajeDespuesDeTerminar != String.Empty) {
					Console.WriteLine("  Mensaje después de terminarl el mapeo:\n{0}",
					                  map.MensajeDespuesDeTerminar);
					Console.WriteLine();
					Console.WriteLine("Precione una tecla para continuar...");
					Console.Read();
				}
			}
			
			con.Close();
		}
		
		public static NpgsqlCommand ComandoNuevo()
		{
			if (con2 == null) {
				con2 = new NpgsqlConnection(cadenaConexion);
				con2.Open();
			}
			
			return con2.CreateCommand();
		}
	}
}