// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Reflection;
using System.Data;

using Castle.ActiveRecord;

using Stratos.ModeloObjetos;
using Stratos.ModeloDto;

namespace Migrador
{
	public class MapeoRubros : IMapeoTabla
	{
		
		private static MapeoRubros instancia;
		
		private MapeoRubros()
		{
		}
		
		#region IMapeoTabla implementation
		public string MensajeAntesDeComenzar {
			get {
				return String.Empty;
			}
		}
		
		public string MensajeDespuesDeTerminar {
			get {
				return String.Empty;
			}
		}
		
		public string ConsultaSql {
			get {
				return "select * from " + this.Tabla +
					" order by \"Cod_rub\" asc";
			}
		}
		
		public string DescripcionMapeo {
			get {
				return "Tabla de Rubros";
			}
		}
		
		public void RealizarLimpieza (System.Data.IDbConnection con)
		{
			
		}
		
		public string Tabla {
			get {
				return "viejo.\"Trubro.db-stratos18\"";
			}
		}
		
		public void Transformar (System.Data.IDataReader reader)
		{
			DataGetter dg = new DataGetter(reader);
			
			Rubro rubro;
			string codigo;
			
			while (reader.Read()) {
				using (SessionScope sessionScope = new SessionScope()) {
					rubro = new Rubro();
					
					rubro.Nombre = dg.GetString("Nom_rub");
					
					try {
						rubro.Create();
						Console.WriteLine("Rubro convertido: " + rubro.Nombre);
					}
					catch(ActiveRecordValidationException ex) {
						Console.WriteLine("Rubro falló: " + rubro.Nombre);
					}
				}
			}
		}
		#endregion
		
		public static MapeoRubros Instancia {
			get {
				if (instancia == null)
					instancia = new MapeoRubros();
				
				return instancia;
			}
		}
	}
}
