// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace Stratos.Common
{
	/// <summary>
	/// Representa un error al intentar parsear algún número desde
	/// una cadena. No es necesario gestionar la excepción, es automáticamente
	/// gestionada y se muestra un mensaje de error al usuario con el mensaje
	/// asigando a la excepción.
	/// </summary>
	public class NumeroInvalidoException : System.Exception
	{
		public NumeroInvalidoException()
			: base("El número es inválido")
		{
		}
		
		public NumeroInvalidoException(string mensaje)
			: base(mensaje)
		{
		}
	}
}
