// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace Stratos.Common
{
	public interface IServicioServidor
	{
		/// <summary>
		/// Esta propiedad asigna la instancia del Servidor Stratos.
		/// </summary>
		object InstanciaServidorStratos { set; }
		
		/// <summary>
		/// Ice Identity del servicio servidor (por ej, "ControladorClientes").
		/// </summary>
		string IceIdentity { get; }
		
		/// <summary>
		/// Interface implementada por el Servant que contiene las operaciones
		/// del mismo.
		/// </summary>
		System.Type InterfaceServicio { get; }
		
		/// <summary>
		/// El objeto que implementa la interfaz de servicios Ice.
		/// </summary>
		object Servant { get; }
		
		/// <summary>
		/// Este método debe traducirse a la llamada uncheckedCast correspondiente.
		/// </summary>
		/// <param name="iceObject">
		/// A <see cref="Ice.ObjectPrx"/>
		/// </param>
		/// <returns>
		/// A <see cref="Ice.ObjectPrx"/>
		/// </returns>
		Ice.ObjectPrx uncheckedCast(Ice.ObjectPrx iceObject);
	}
}
