#ifndef _CONSULTA_PAGINABLE
#define _CONSULTA_PAGINABLE

module StratosServer {
	module Controladores {
	
		enum SentidoOrdenacion {
			Desc,
			Asc
		};
		
		struct CriterioOrdenacion {
			string campoOrdenacion;
			SentidoOrdenacion sentidoOrd;
		};
		
		["clr:generic:List"]
		sequence<CriterioOrdenacion> CriterioOrdenacionSeq;
		
		/**
		 * Permite especificar una Consulta Paginable, es decir realizar una consulta de objetos
		 * pero en páginas o partes. Es posible especificar la página, el tamaño de la misma,
		 * el campo de ordenación y el sentido de la misma.
		 **/
		struct ConsultaPaginable {
			int pagina;
			int tamanioPagina;
			CriterioOrdenacionSeq criteriosOrdenacion;
		};
		
	};
};

#endif