#ifndef _CONTROLADOR_PRODUCTOS
#define _CONTROLADOR_PRODUCTOS

#include <Controladores/ControladorBase.ice>
#include <Productos/ProductoDto.ice>
#include <Controladores/ControladorProductos/AccionModificacionPrecio.ice>
#include <Excepciones/StratosException.ice>

module StratosServer {
	module Controladores {
		
		sequence<::Stratos::ModeloDto::ProductoDto> ProductoSeq;
		sequence<::Stratos::ModeloDto::RubroDto> RubroSeq;
		sequence<long> LongSeq;	
		
		interface ControladorProductos extends ControladorBase {
		
			ProductoSeq BuscarPorCodigo(string codigo)
				throws ::Stratos::Common::Excepciones::StratosException;
			
			ProductoSeq BuscarPorDescripcion(string descripcion)
				throws ::Stratos::Common::Excepciones::StratosException;
			
			void MarcarComoEliminado (::Stratos::ModeloDto::ProductoDto productoAEliminar)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			RubroSeq ObtenerRubros ()
				throws ::Stratos::Common::Excepciones::StratosException;
				
			RubroSeq ObtenerSubrubros (::Stratos::ModeloDto::RubroDto rubroPadre)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			void ModificarPrecios (LongSeq ids, ::Stratos::ModeloDto::AccionModificacionPrecio accion)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			bool CodigoDisponible (string codigo, out bool productoEliminado)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			::Stratos::ModeloDto::ProductoDto RecuperarProductoEliminado (string codigo)
				throws ::Stratos::Common::Excepciones::StratosException;
		};
	
	};
};

#endif