#ifndef _CONTROLADOR_REPORTES
#define _CONTROLADOR_REPORTES

#include <Controladores/ControladorBase.ice>
#include <Excepciones/StratosException.ice>

module StratosServer {
	module Controladores {
		
		interface ControladorReportes {
		
			/**
			 * Genera un reporte de IVA Ventas con las fechas inicial y final
			 * especificadas en los parametros y retorna un string con formato HTML.
			 * El parámetro sistemaOperativo se utiliza por ahora para saltar un bug
			 * de WebKitGtk en Windows.
			 **/
			string GenerarReporteIvaVentas(long fechaInicialTicks, long fechaFinalTicks, string sistemaOperativo)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			/**
			 * Genera un Resumen de IVA Ventas con las fechas inicial y final
			 * especificadas en los parametros y retorna un string con formato HTML.
			 * El parámetro sistemaOperativo se utiliza por ahora para saltar un bug
			 * de WebKitGtk en Windows.
			 **/
			string GenerarResumenIvaVentas(long fechaInicialTicks, long fechaFinalTicks, string sistemaOperativo)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			void MarcarComoHistoricaFacturaVenta(long fechaInicialTicks, long fechaFinalTicks)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			/**
			 * Genera un reporte de IVA Compras con las fechas inicial y final
			 * especificadas en los parametros y retorna un string con formato HTML.
			 * El parámetro sistemaOperativo se utiliza por ahora para saltar un bug
			 * de WebKitGtk en Windows.
			 **/
			string GenerarReporteIvaCompras(long fechaInicialTicks, long fechaFinalTicks, string sistemaOperativo)
				throws ::Stratos::Common::Excepciones::StratosException;
				
			void MarcarComoHistoricaFacturaCompra(long fechaInicialTicks, long fechaFinalTicks)
				throws ::Stratos::Common::Excepciones::StratosException;
		};
	
	};
};

#endif