#ifndef _CONTROLADOR_PERSONAS
#define _CONTROLADOR_PERSONAS

#include <Controladores/ControladorBase.ice>
#include <Excepciones/StratosException.ice>
#include <Personas/PersonaDto.ice>

module StratosServer {
	module Controladores {
	
		sequence<::Stratos::ModeloDto::PersonaDto> PersonaSeq;
		
		interface ControladorPersonas extends ControladorBase {
				
			PersonaSeq BusquedaExactaPorCodigo(long codigo)
				throws ::Stratos::Common::Excepciones::StratosException;
			
			PersonaSeq BusquedaExactaPorRazonSocial(string razonSocial)
				throws ::Stratos::Common::Excepciones::StratosException;
			
			/**
			 * Realiza una consulta por razón social. Si se da un conjunto de palabras
			 * (separadas por espacio) se realiza una búsqueda donde todas ellas aparezcan
			 * en la razón social.
			 **/
			PersonaSeq ConsultaPorRazonSocial(string razonSocial)
				throws ::Stratos::Common::Excepciones::StratosException;
			
		};
	
	};
};

#endif