// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;

using Castle.ActiveRecord;
using Castle.Components.Validator;

namespace Stratos.ModeloObjetos
{
	/// <summary>
	/// Representa un documento de compra, que tiene bonificaciones, importes e items.
	/// </summary>
	public abstract class DocumentoCompra<T> : DocumentoCompraventa<T>, IDocumentoCompra
		where T : class
	{
		#region Constructores
		public DocumentoCompra () : base()
		{
		}
		#endregion
		
		#region Propiedades
		public virtual Proveedor Proveedor {
			get { return (Proveedor)base.Persona; }
			set { base.Persona = value; }
		}
		
		public override int LimiteItems {
			get { return 30; }
		}
		#endregion
	}
}
