// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	public class CondicionVenta {
		
		private CondicionPago condicion;
		private int plazo;
		
		public CondicionVenta()
		{
			this.condicion = CondicionPago.Contado;
			this.plazo = 0;
		}
		
		public CondicionVenta(CondicionPago unaCondicion, int unPlazo)
		{
			this.condicion = unaCondicion;
			this.plazo = unPlazo;
		}
		
		public virtual CondicionPago Condicion {
			get { return this.condicion; }
			set { this.condicion = value; }
		}
		
		/// <value>
		/// Plazo en días.
		/// </value>
		public virtual int Plazo {
			get {
				if (this.condicion != CondicionPago.CuentaCorriente)
					return 0;
				
				return this.plazo;
			}
			
			set {
//				if (this.condicion != CondicionPago.Plazo)
//					throw new Exception("La condición de venta no es de tipo Plazo");
				
				this.plazo = value;
			}
		}
	}
}
