// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	/// <summary>
	/// Item de una FacturaGenerica que posee todos los campos comunes para un item de
	/// Factura y uno de PreFactura. No genera una tabla en la base de datos.
	/// </summary>
	public abstract class ItemFacturaGenerica<T> : ItemProducto<T>
		where T : class
	{
		#region Constructores
		public ItemFacturaGenerica()
			: base()
		{
		}
		
		public ItemFacturaGenerica(Producto producto, decimal cantidad)
			: base (producto, cantidad)
		{
		}
		#endregion
	}
}
