// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

namespace Stratos.ModeloObjetos
{
	public abstract class ItemGenerico<T> : ActiveRecordValidationBase<T>, IItemGenerico, IActiveRecordValidationBase
		where T : class
	{
		#region Campos
		private long id;
		
		// Indica el orden del item en el documento
		private int orden;
		#endregion
		
		#region Constructores
		public ItemGenerico () : base()
		{
		}
		#endregion
		
		#region Propiedades
		public virtual long Id {
			get { return this.id; }
			set { this.id = value; }
		}
		
		[Property(NotNull=true)]
		public virtual int Orden {
			get { return this.orden; }
			set { this.orden = value; }
		}
		#endregion
	}
}
