// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	public interface IFacturaCompra : IDocumentoCompra
	{
		FacturaTipoCompra Tipo {
			get;
			set;
		}
		
		int Codigo {
			get;
			set;
		}
		
		long Numero {
    		get;
			set;
    	}
		
		string ProveedorRazonSocial {
			get;
			set;
		}
		
		TipoResponsable ProveedorTipoResponsable {
			get;
			set;
		}
		
		long ProveedorCuit {
			get;
			set;
		}
		
		DateTime FechaImputacion {
			get;
			set;
		}
		
		decimal PercepcionIva {
			get;
			set;
		}
		
		decimal ImporteIva {
			get;
			set;
		}
		
		decimal PercepcionIB {
			get;
			set;
		}
		
		decimal ImporteGravado {
			get;
			set;
		}
		
		decimal ImporteExento {
			get;
			set;
		}
		
		decimal ImporteTotal {
			get;
			set;
		}
		
		string TipoAbreviado {
			get;
		}
	}
}
