// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	public interface IItemProducto : IItemGenerico
	{
		#region Propiedades del producto asociado
		Producto ProductoAsignado {
			get;
		}
		
		long ProductoId {
			get;
		}
		
		string ProductoCodigo {
			get;
		}
		
		bool ProductoAbstracto {
			get;
		}
		
		UnidadProducto ProductoUnidad {
			get;
		}
		
		long ProductoRubroId {
			get;
		}
		
		string ProductoDescripcion {
			get;
		}
		
		decimal ProductoPrecioCosto {
			get;
		}
		
		decimal ProductoImporteSinIva {
			get;
		}
		
		decimal ProductoImporteVenta {
			get;
		}
		#endregion
		
		#region Propiedades del item
		string Descripcion {
			get; set;
		}
		
		decimal Cantidad {
			get; set;
		}
		
		decimal PorcentajeBonificacion {
			get; set;
		}
		
		decimal PrecioUnitario {
			get; set;
		}
		
		decimal Importe {
			get; set;
		}
		#endregion
		
		#region Métodos
		void AsignarProducto(Producto producto);
		#endregion
	}
}
