// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	public class Domicilio
	{
		private string direccion;
		private string localidad;
		private string codigoPostal;
		private ProvinciaDto? provincia;
		
		public Domicilio()
		{
			this.direccion = null;
			this.localidad = null;
			this.provincia = null;
		}
		
		// FIXME: Revisar las propiedades y su nulidad en la base de datos
		
		[Property]
		[ValidateLength(0, 50, "La dirección debe tener entre 0 y 50 caracteres")]
		public string Direccion {
			get { return this.direccion; }
			set { this.direccion = value; }
		}
		
		[Property]
		[ValidateLength(0, 50, "La localidad debe tener entre 0 y 50 caracteres")]
		public string Localidad {
			get { return this.localidad; }
			set { this.localidad = value; }
		}
		
		[Property]
		[ValidateLength(0, 10, "El código postal puede tener hasta 10 caracteres")]
		public string CodigoPostal {
			get { return this.codigoPostal; }
			set { this.codigoPostal = value; }
		}
		
		[Property]
		//[ValidateLength(0, 50, "La provincia debe tener entre 0 y 50 caracteres")]
		public ProvinciaDto? Provincia {
			get { return this.provincia; }
			set { this.provincia = value; }
		}
	}
}
