// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.Components.Validator;
using Castle.ActiveRecord;
using Castle.ActiveRecord.Framework;
using Castle.ActiveRecord.Queries;
using NHibernate.Criterion;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	[ActiveRecord]
	public class Proveedor : Persona<Proveedor>
	{
		#region Campos
		#endregion
		
		#region Constructores
		public Proveedor() : base()
		{
		}
		#endregion
		
		#region Propiedades
		/* La siguiente línea comentada es utilizada para la migración de los proveedores desde
		 * el sistema viejo.*/
//		[PrimaryKey(PrimaryKeyType.Assigned, UnsavedValue="0")]
		[PrimaryKey(PrimaryKeyType.Native, SequenceName="proveedor_sequence", UnsavedValue="0")]
		public override long Codigo {
			get { return base.Codigo; }
			set { base.Codigo = value; }
		}
		
		public override bool InstanciaValida {
			get { return true; }
		}
		#endregion
	}
}
