// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

namespace Stratos.ModeloObjetos
{
	[ActiveRecord]
	public class Rubro : ActiveRecordValidationBase<Rubro>
	{
		#region Campos
		private long codigo;
		private string nombre;
		private string descripcion;
		
		private Rubro rubroPadre;
		#endregion
		
		#region Constructores
		public Rubro()
		{
		}
		#endregion
		
		#region Propiedades
		[PrimaryKey(PrimaryKeyType.Native, SequenceName="rubro_sequence", UnsavedValue="0")]
		public long Codigo {
			get { return this.codigo; }
			set { this.codigo = value; }
		}
		
		[Property]
		public string Descripcion {
			get { return this.descripcion; }
			set { this.descripcion = value; }
		}

		[Property(NotNull=true)]
		public string Nombre {
			get { return this.nombre; }
			set { this.nombre = value; }
		}

		[BelongsTo("rubroPadreId")]
		public Rubro RubroPadre {
			get { return this.rubroPadre; }
			set { this.rubroPadre = value; }
		}
		#endregion
	}
}
