// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.
using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

namespace Stratos.ModeloObjetos.MetaCampos
{
	public abstract class MetaCampo<T> : ActiveRecordValidationBase<T>
		where T : class
	{
		protected long id;
		protected string clave;
		protected string valor;
		
		public abstract long Id {
			get;
			set;
		}

		[Property(NotNull=true)]
		[ValidateLength(1, 30, "La Clave debe tener entre 1 y 30 caracteres")]
		public virtual string Clave {
			get { return this.clave; }
			set { this.clave = value; }
		}
		
		/* TODO: Ver si es necesario poner restricciónes respecto al valor,
		 * por ahora, se valida que no supere los 255 caracteres */
		[Property]
		[ValidateLength(0, 254, "El valor no puede superar los 254 caracteres")]
		public virtual string Valor {
			get { return this.valor; }
			set { this.valor = value; }
		}
		
		public override bool Equals (object obj)
		{
			if (!(obj is MetaCampo<T>))
				return false;
			
			MetaCampo<T> metaCampo = (MetaCampo<T>) obj;
			
			if (this.Clave == metaCampo.Clave)
				return true;
			
			return false;
		}
	}
}

