// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.
using System;

using Castle.ActiveRecord;
using Castle.Components.Validator;

namespace Stratos.ModeloObjetos.MetaCampos
{
	[ActiveRecord]
	public class MetaCampoCliente : MetaCampo<MetaCampoCliente>
	{
		private Cliente cliente;

		[PrimaryKey(PrimaryKeyType.Native, SequenceName="metacampocliente_sequence", UnsavedValue="0")]
		public override long Id {
			get { return this.id;}
			set { this.id = value; }
		}
		
		[BelongsTo("clienteId", NotNull=true)]
		public Cliente Cliente {
			get { return this.cliente; }
			set { this.cliente = value; }
		}
	}
}

