// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.ActiveRecord;
using Castle.ActiveRecord.Queries;

namespace Stratos.ModeloObjetos
{
	public static class ReciboIDService
	{
		static long siguienteNumero;
		
		static ReciboIDService()
		{
			ScalarQuery<Nullable<long>> consultaUltimoNumero =
				new ScalarQuery<Nullable<long>>(typeof(Recibo),
				                          @"select max(rec.Numero)
											from Recibo rec");
			
			long? ultimoNumero = consultaUltimoNumero.Execute();
			
			if (ultimoNumero.HasValue)
				siguienteNumero = ultimoNumero.Value + 1L;
			else
				siguienteNumero = 1L;
		}
		
		public static long SiguienteNumero {
			get {
				long sigNum = siguienteNumero;
				
				siguienteNumero++;
				
				return sigNum;
			}
		}
	}
}
