// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Castle.Components.Validator;

using Stratos.ModeloDto;

namespace Stratos.ModeloObjetos
{
	public class NumeroMayorValidator : AbstractValidator
	{
		private double numeroMayor;
		
		public NumeroMayorValidator(double numeroMayor, string mensajeError)
		{
			this.numeroMayor = numeroMayor;
			this.ErrorMessage = mensajeError;
		}
			
		public override bool IsValid(object instance, object fieldValue)
		{
//			if (!(fieldValue is decimal))
//				return false;
			
			double numero = Convert.ToDouble(fieldValue);
			
			// Chequeo si el valor actual no es menor
			if (numero <= this.numeroMayor)
				return false;

			return true;
		}
		
		public override bool SupportsBrowserValidation {
			get { return false; }
		}
	}
}
