// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;
using StratosClient.Widgets.Level2;

namespace StratosClient.Clientes.CuentaCorriente
{
	public interface ICuentaCorrienteVista
	{
		#region Valores
		bool EsPosibleActualizar {
			set;
		}
		
		bool EsPosibleImprimir {
			set;
		}
		
		double ImporteFavor {
			get; set;
		}
		
		double ImporteContra {
			get; set;
		}
		
		double SaldoTotal {
			get; set;
		}
		#endregion
		
		#region Componentes gráficos
		IRazonSocialVista<ClienteDto> RazonSocialVista {
			get;
		}
		
		IDocumentoCreditoVista DocumentosCredito {
			get;
		}
		
		IDocumentoDebitoVista DocumentosDebito {
			get;
		}
		#endregion
	}
}
