// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace StratosClient.Compras
{
	public partial class SolapaCompras : Gtk.Bin
	{
		private static SolapaCompras instancia;
		
		protected BusquedasComprasVista solapaBusquedas;
		protected FacturasProveedoresVista solapaFacturasProveedores;
		protected OrdenDePagoVista solapaOrdenDePago;
		
		public SolapaCompras ()
		{
			this.Build();
			
			#region Solapas
			// Creo la solapa 'Busquedas' y la agrego
			this.solapaBusquedas = new BusquedasComprasVista();
			Gtk.Label lblBusquedas = new Gtk.Label("Busquedas");
			this.nbSolapaCompras.AppendPage(this.solapaBusquedas, lblBusquedas);
			
			// creo la solapa 'Imputación' y la agrego
			this.solapaFacturasProveedores = new FacturasProveedoresVista();
			Gtk.Label lblImputacion = new Gtk.Label("Imputación");
			this.nbSolapaCompras.AppendPage(this.solapaFacturasProveedores, lblImputacion);
			
			this.solapaBusquedas.ListaElementosVaciada += delegate {
				this.solapaFacturasProveedores.NavegadorElementos.Sensitive = false;
			};
			
			// Seteo el presenter de la solapa de imputación
			this.solapaBusquedas.SolapaImputacionPresenter = this.solapaFacturasProveedores.Presenter;
			
			// creo la solapa 'Ordenes de pago' y la agrego
//			this.solapaOrdenDePago = new OrdenDePagoVista();
//			Gtk.Label lblOrdenDePago = new Gtk.Label("Ordenes de pago");
//			this.nbSolapaCompras.AppendPage(this.solapaOrdenDePago, lblOrdenDePago);
			#endregion
			
			instancia = this;
		}
		
		public static SolapaCompras Instancia {
			get { return instancia; }
		}
		
		public void MostrarSolapaImputacion()
		{
			this.nbSolapaCompras.CurrentPage = 1;
		}
	}
}
