// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using StratosClient.Core.Gui;
using Stratos.ModeloDto;
using StratosClient.Widgets.Level3;
using StratosClient.Widgets.Level1;
using StratosClient.Widgets.Level2;

namespace StratosClient.Compras
{
	public interface IBusquedasComprasVista : INotificador, IListaNavegable
	{

		#region Camponentes gráficos
		IDateComboVista DateComboFechaInicialVista {
			get;
		}
		
		IDateComboVista DateComboFechaFinalVista {
			get;
		}
		
		IListaElementosVista<FacturaCompraDto> ListaFacturasComprasVista {
			get;
		}
		
		INavegadorPaginasVista NavegadorPaginasVista {
			get;
		}
		#endregion
		
		FacturasProveedoresPresenter SolapaImputacionPresenter {
			set;
		}
		
		#region Valores
		bool BusquedaPorRazonSocialActiva {
			get;
		}
		
		bool BusquedaPorNumeroActiva {
			get;
		}
		
		bool BusquedaPorFechaInicialActiva {
			get;
		}
		
		bool BusquedaPorFechaFinalActiva {
			get;
		}
		
		string RazonSocial {
			get;
		}
		
		string NumeroFactura {
			get;
		}
		#endregion
		
		Gtk.ResponseType RealizarPregunta(string texto);
	}
}
