// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;
using StratosClient.Core.Gui;
using StratosClient.Widgets.Level3;
using StratosClient.Widgets.Level1;
using StratosClient.Widgets.Level2;

namespace StratosClient.Compras
{
	public interface IFacturasProveedoresVista : INotificador, IVisualizadorNavegable
	{
		#region Camponentes gráficos
		#region Fechas
		IDateComboVista DateComboFechaImputacionVista {
			get;
		}
		
		IDateComboVista DateComboFechaFacturaVista {
			get;
		}
		#endregion
		
		#region Entries
		IRazonSocialVista<ProveedorDto> RazonSocialVista {
			get;
		}
		
		IDomicilioEntry DomicilioEntryVista {
			get;
		}
		
		IRegExEntryVista RegExEntryCuitVista {
			get;
		}
		
		IRegExEntryVista RegExEntryCodigoVista {
			get;
		}
		
		IRegExEntryVista RegExEntryNumeroVista {
			get;
		}
		
		IEntryRazonSocial RazonSocialProveedor {
			get;
		}
		
		#region Importes
		IImporteRegExEntry ImporteGravadoVista {
			get;
		}
		
		IImporteRegExEntry ImporteExentoVista {
			get;
		}
		
		IImporteRegExEntry ImporteIvaVista {
			get;
		}
		
		IImporteRegExEntry PercepcionIBVista {
			get;
		}
		
		IImporteRegExEntry PercepcionIvaVista {
			get;
		}
		
		IImporteRegExEntry ImpCombustibleVista {
			get;
		}
		
		IImporteRegExEntry ImporteTotalVista {
			get;
		}
		#endregion
		#endregion
		
		#region Combos
		IComboBoxGenericoVista<FacturaTipoCompra> ComboBoxTipoFacturaVista {
			get;
		}
		
		IComboBoxGenericoVista<TipoResponsable> ComboBoxTipoResponsableVista {
			get;
		}
		#endregion
		
		#region Otros
		IListaInteractivaVista ListaItems {
			get;
		}
		#endregion
		#endregion
		
		#region Valores
		string EstadoFactura {
			set;
		}
		
		bool EsPosibleGuardarFactura {
			set;
		}
		
		string ObservacionesVista {
			get;
			set;
		}
		
		bool SoloLectura {
			set;
		}
		#endregion
	}
}
