// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.IO;

using Gtk;
using WebKit;

using StratosClient.Reportes;
using StratosClient.Core.Gui;
using StratosClient.Common;
using Stratos.Common;
using StratosServer.Controladores;
using Stratos.Common.Excepciones;

namespace StratosClient.Reportes.Compras
{
	/// <summary>
	/// Genera el reporte de Iva Compras.
	/// </summary>
	public class MenuIvaCompras : ReporteIva
	{
		#region Implementación de ReporteIva
		protected override string NombreReporte {
			get { return "IVA Compras"; }
		}
		
		protected override string GenerarReporteRemoto ()
		{
			return this.controladorReportes
				.GenerarReporteIvaCompras(this.fechaDesde.Ticks,
				                          this.fechaHasta.Ticks,
				                          Environment.OSVersion.VersionString);
		}
		
		protected override void ConfigurarImpresionDocumento (ImpresionDocumento impresionDocumento)
		{
			base.ConfigurarImpresionDocumento(impresionDocumento);
			
			// Cambio la orientación del documento a apaisado
			impresionDocumento.OrientacionPagina = PageOrientation.Landscape;
		}
		
		protected override void MarcarFacturasComoHistoricas ()
		{
			this.controladorReportes
				.MarcarComoHistoricaFacturaCompra(this.fechaDesde.Ticks, this.fechaHasta.Ticks);
		}
		#endregion
	}
}
