// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using StratosClient.Common;
using StratosClient.Core.Gui;

namespace StratosClient.Reportes.Ventas
{
	/// <summary>
	/// Genera el reporte de resumen Iva Ventas.
	/// </summary>
	public class MenuResumenIvaVentas : ReporteGenerico
	{
		#region Campos
		protected DateTime fechaDesde;
		protected DateTime fechaHasta;
		#endregion
		
		#region Constructores
		public MenuResumenIvaVentas() : base()
		{
		}
		#endregion
		
		#region Reporte Generico implementation
		protected override Gtk.Dialog DialogoReporte {
			get {
				// Creo un diálogo para permitir al usuario seleccionar el rango de fechas
				DialogoReporteIva dialogoReporteIva =
					new DialogoReporteIva("Generar Resumen IVA Ventas",
					                      MainWindow.Instancia);
				
				dialogoReporteIva.Title = "Generar Resumen IVA Ventas";
				
				return dialogoReporteIva;
			}
		}
		
		protected override void LeerDatos (Gtk.Dialog dialogoReporte)
		{
			DialogoReporteIva dialogoReporteIva =
				(DialogoReporteIva) dialogoReporte;
			
			this.fechaDesde = dialogoReporteIva.FechaDesde;
			this.fechaHasta = dialogoReporteIva.FechaHasta;
		}
		
		protected override void ConfigurarImpresionDocumento (ImpresionDocumento impresionDocumento)
		{
		}
		
		protected override string GenerarReporteRemoto ()
		{
			return this.controladorReportes
				.GenerarResumenIvaVentas(this.fechaDesde.Ticks,
				                         this.fechaHasta.Ticks,
				                         Environment.OSVersion.VersionString);
		}
		#endregion
	}
}
