// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

namespace StratosClient.Reportes
{
	public partial class DialogoReporteIva : Gtk.Dialog
	{
		public DialogoReporteIva (string titulo, Gtk.Window parent)
			: base(titulo, parent, DialogFlags.Modal)
		{
			this.Build ();
			
			// Inicializo las fechas 'Desde' y 'Hasta'
			this.InicializarFechas();
		}
		
		#region Propiedades
		public DateTime FechaDesde {
			get { return this.dcFechaDesde.Fecha; }
		}
		
		public DateTime FechaHasta {
			get { return this.dcFechaHasta.Fecha; }
		}
		#endregion
		
		#region Métodos privados
		/// <summary>
		/// Inicializa las fechas del dialogo. Pone la fecha 'Desde' en el primer día del
		/// mes pasado y la fecha 'Hasta' en el ultimo día del mes pasado.
		/// </summary>
		private void InicializarFechas()
		{
			DateTime primerDiaEsteMes = new DateTime(DateTime.Today.Year,
			                                         DateTime.Today.Month,
			                                         1);
			
			// Seteo el primer día del mes pasado a la fecha 'Desde'. Al primer día de
			// este mes, le resto un mes.
			this.dcFechaDesde.Fecha = primerDiaEsteMes.AddMonths(-1);
			
			// Seteo el ultimo día del mes pasado a la fecha 'Hasta'. Al primer día de
			// este mes, le resto un día.
			this.dcFechaHasta.Fecha = primerDiaEsteMes.AddDays(-1);
		}
		#endregion		
	}
}