// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Linq;

using Gtk;
using Mono.Addins;

using StratosClient.Core.Gui;

namespace StratosClient.Reportes
{
	public class MenuReportes : IMenuPrincipal
	{
		#region Campos
		protected MenuItem menuReportes;
		#endregion
		
		#region IMenuPrincipal implementation
		public int Orden {
			get { return 1; }
		}
		
		public Gtk.Bin Menu {
			get {
				MenuItem menuReportes = new MenuItem("Reportes");
				
				MenuShell subMenuReportes = new Menu();
				menuReportes.Submenu = subMenuReportes;
				
				// Busco los add-ins suscriptos a MenuReportes
				var nodosMenuReportes =
					from nodo in AddinManager.GetExtensionNodes("/StratosClient/Reportes/Menu").Cast<MenuBaseNode>()
					orderby nodo.posicion ascending
					select nodo;
				
				foreach (MenuBaseNode menu in nodosMenuReportes)
					subMenuReportes.Append(menu.GetWidget());
				
				// Me suscribo a los eventos de conexión y desconexión, para habilitar
				// o no el menú Reportes (ya que siempre se supone que los submenúes)
				// suscriptos necesitan acceso al servidor).
				MainIce.ConexionEstablecida += delegate {
					menuReportes.Sensitive = true;
				};
				
				MainIce.DesconexionRealizada += delegate {
					menuReportes.Sensitive = false;
				};
				
				menuReportes.Sensitive = MainIce.ConectadoAlServidor;
				
				return menuReportes;
			}
		}
		#endregion
	}
}
