// Copyright (C) 2009 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using StratosClient.Core.Gui;

namespace StratosClient.ServicioFacturacion
{
	
	
	public partial class ResultadoImpresion : Gtk.Dialog
	{
		
		public delegate void RespuestaImpresionHandler(bool impresionCorrecta);
		
		private RespuestaImpresionHandler respuestaHandler;
		
		public ResultadoImpresion(RespuestaImpresionHandler respuestaHandler)
			: base("Resultado de la impresión",
			       MainGui.MainWindow,
			       DialogFlags.Modal)
		{
			this.Build();
			
			this.respuestaHandler = respuestaHandler;
		}
		
		public void HabilitarAcciones(PrintStatus printStatus)
		{
			Gtk.Application.Invoke(delegate {
				this.btnImpresionCorrecta.Sensitive = true;
				this.btnImpresionFallida.Sensitive = true;
				
				// Me fijo en el estado final de la impresión para saber
				// a qué botón darle el foco por defecto.
				if (printStatus == PrintStatus.Finished)
					this.btnImpresionCorrecta.GrabFocus();
				else
					this.btnImpresionFallida.GrabFocus();
			});
		}
		
		protected override void OnResponse (Gtk.ResponseType response_id)
		{
			if (response_id == ResponseType.Accept)
				this.respuestaHandler(true);
			else
				this.respuestaHandler(false);
		}
	}
}
