// Copyright (C) 2009 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using log4net;

using Stratos.Common;
using Stratos.Servicios;
using Stratos.ModeloDto;
using StratosClient.Core.Gui;

namespace StratosClient.ServicioFacturacion
{
	public class ServicioFacturacionI : ServicioFacturacionDisp_
	{
		#region Campos
		private static readonly ILog logger =
			LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod()
			                     .DeclaringType);
		
		public delegate void PedidoImpresionHandler(PreFacturaDto preFactura);
		public static event PedidoImpresionHandler PedidoImpresion;
		#endregion
		
		#region Métodos ServicioFacturacion
		public override void ImprimirPreFactura (PreFacturaDto factura, Ice.Current current__)
		{
			logger.Debug("ImprimirFactura:\n" +
			             "  Cliente Codigo/Razón social: " + factura.cliente.codigo +
			             	" - " + factura.cliente.razonSocial);
			
			if (PedidoImpresion != null)
				PedidoImpresion(factura);
		}
		#endregion
	}
}
