// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Configuration;

namespace StratosClient.Ventas.Facturacion.ImpresionFacturas.Configuracion
{
	public class ImpresionFacturas : ConfigurationElement
	{
		public ImpresionFacturas ()
		{
		}
		
		[ConfigurationProperty("nombrePapel",
		                       IsRequired = true,
		                       IsKey = true,
		                       DefaultValue = "A4")]
		public string NombrePapel {
			get { return (string)this["nombrePapel"]; }
			set { this["nombrePapel"] = value; }
		}
		
		[ConfigurationProperty("nombrePapelDisplay",
		                       IsRequired = false,
		                       IsKey = false,
		                       DefaultValue = "A4")]
		public string NombrePapelDisplay {
			get { return (string)this["nombrePapelDisplay"]; }
			set { this["nombrePapelDisplay"] = value; }
		}
		
		[ConfigurationProperty("ancho",
		                       IsRequired = false,
		                       IsKey = false,
		                       DefaultValue = 0.0)]
		public double Ancho {
			get { return (double)this["ancho"]; }
			set { this["ancho"] = value; }
		}
		
		[ConfigurationProperty("largo",
		                       IsRequired = false,
		                       IsKey = false,
		                       DefaultValue = 0.0)]
		public double Largo {
			get { return (double)this["largo"]; }
			set { this["largo"] = value; }
		}
		
		[ConfigurationProperty("template",
		                       IsRequired = false,
		                       IsKey = false,
		                       DefaultValue = "templateFacturas.vm")]
		public string Template {
			get { return (string)this["template"]; }
			set { this["template"] = value; }
		}
	}
}
