// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Ventas.Facturacion
{
	/// <summary>
	/// Define la interfaz de un elemento que ofrece acciones sobre una
	/// factura dentro del visualizador de la misma.
	/// </summary>
	public interface IAccionadorSobreFactura
	{
		/// <summary>
		/// Acciones que se pueden ejecutar.
		/// </summary>
		Gtk.Action[] Acciones {
			get;
		}
		
		/// <summary>
		/// Factura actualmente cargada.
		/// </summary>
		FacturaGenericaDto Factura {
			set;
		}
		
		/// <summary>
		/// Objeto visualizador de las facturas.
		/// </summary>
		IVisualizadorFactura VisualizadorFactura {
			set;
		}
		
		/// <summary>
		/// Orden de aparición.
		/// </summary>
		int Orden {
			get;
		}
	}
}
