// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using Stratos.ModeloDto;
using StratosClient.Widgets.Level2;

namespace StratosClient.Ventas.Facturacion
{
	public partial class SugerenciaClientes : Gtk.Dialog
	{
		private TvClientes tvClientes;
		
		public SugerenciaClientes(Gtk.Window window_parent, ClienteDto[] clientes)
			: base("Sugerencia de clientes", window_parent, DialogFlags.Modal)
		{
			this.Build();
			
			#region Lista de clientes
			this.tvClientes = new TvClientes();
			this.scrolledwindow1.Add(this.tvClientes);
			this.tvClientes.ShowAll();
			#endregion
			
			this.tvClientes.AgregarElementos(clientes);
			
			// Me suscribo al evento Changed (de la selección) del TreeView para
			// activar los botones
			this.tvClientes.Selection.Changed += OnTvClientesSelectionChanged;
		}

		protected void OnTvClientesSelectionChanged(object sender, EventArgs e)
		{
			this.btnCargar.Sensitive = true;
		}
		
		public TvClientes TreeViewClientes {
			get { return this.tvClientes; }
		}
	}
}
