// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using StratosClient.Core.Gui;
using StratosClient.Ventas;
using Stratos.ModeloDto;
using StratosServer.Controladores;
using StratosClient.Widgets.Level3;

namespace StratosClient.Ventas.Presupuestos
{
	public class CargadorPresupuestos : CargadorElemento
	{
		#region ICargador implementation
		public override ControladorBasePrx ControladorRemoto {
			get { return (ControladorBasePrx) MainIce.GetControlador("ControladorPresupuestos"); }
		}
		
		public override bool PermitirCarga(DocumentoGenericoDto documento)
		{
			return true;
		}
		
		public override IVisualizadorNavegable VisualizadorNavegable {
			get { return SolapaPresupuestos.InstanciaActual; }
		}
		
		public override void Cargar(DocumentoGenericoDto documento)
		{
			PresupuestoDto presupuesto = documento as PresupuestoDto;
			
			SolapaPresupuestos.InstanciaActual.CargarPresupuesto(presupuesto);
		}
		#endregion
	}
}
