// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;

namespace StratosClient.Ventas.Presupuestos
{
	public partial class CriteriosPresupuesto : Gtk.Bin, ICriteriosPersonalizados
	{
		public CriteriosPresupuesto ()
		{
			this.Build ();
			
			this.chkNumeroPresupuesto.Toggled += delegate {
				this.txtNumeroPresupuesto.Sensitive = this.chkNumeroPresupuesto.Active;
			};
			this.chkNumeroPresupuesto.Active = false;
		}
		
		#region ICriteriosPersonalizados implementation
		public bool DatosValidos (out string mensajeError)
		{
			// Valido el número de presupuesto ingresado
			if (!this.txtNumeroPresupuesto.TextoValido) {
				mensajeError = this.txtNumeroPresupuesto.MensajeError;
				return false;
			}
			
			mensajeError = String.Empty;
			return true;
		}
		
		
		public Dictionary<string, object> CriteriosPersonalizados {
			get {
				Dictionary<string,object> criterios = new Dictionary<string, object>();
				
				// Agrego el número de presupuesto únicamente si se activó la opción y si
				// el texto ingresado no es vacío
				
				if (this.chkNumeroPresupuesto.Active && this.txtNumeroPresupuesto.Text != String.Empty)
					criterios.Add("NumeroPresupuesto", this.txtNumeroPresupuesto.Text);
				
				return criterios;
			}
		}
		#endregion
	}
}
