// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;
using StratosClient.Core.Gui;
using StratosClient.Widgets.Level3;
using StratosClient.Widgets.Level1;
using StratosClient.Widgets.Level2;

namespace StratosClient.Ventas.Recibos
{
	public interface IReciboVista : INotificador, IVisualizadorNavegable
	{
		#region Valores
		string Estado {
			set;
		}
		
		string Concepto {
			get; set;
		}
		
		bool EsPosibleModificarConcepto {
			set;
		}
		
		bool EsPosibleModificarFecha {
			set;
		}
		
		double Importe {
			get; set;
		}
		
		bool EsPosibleModificarItemsRecibo {
			set;
		}
		
		bool EsPosibleGuardarRecibo {
			set;
		}
		
		bool EsPosibleImprimirRecibo {
			set;
		}
		#endregion
		
		#region Camponentes gráficos
		IDateComboVista DateComboVista {
			get;
		}
		
		IRazonSocialVista<ClienteDto> RazonSocialVista {
			get;
		}
		
		IListaItemsReciboVista ListaItemsReciboVista {
			get;
		}
		#endregion
		
		#region Métodos
		void DarElFoco_CodigoRazonSocial();
		#endregion
	}
}
