// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Mono.Addins;

namespace StratosClient.Ventas
{
	public class AccionSobreElementoNode : ExtensionNode
	{
		[NodeAttribute]
		private string tipoDocumento;
		
		[NodeAttribute]
		private string componenteAccionador;
		
		[NodeAttribute]
		private bool mostrarMenu;
		
		[NodeAttribute]
		private bool mostrarToolbar;
		
		private IAccionadorSobreElemento accionador;
		
		public string TipoDocumento {
			get { return this.tipoDocumento; }
		}
		
		public IAccionadorSobreElemento Accionador {
			get {
				if (this.accionador == null) {
//					try {
						this.accionador =
							(IAccionadorSobreElemento) Addin.CreateInstance(this.componenteAccionador);
//					}
//					catch {
//					}
				}
				
				return accionador;
			}
		}
		
		public bool MostrarMenu {
			get { return this.mostrarMenu; }
		}
		
		public bool MostrarToolbar {
			get { return this.mostrarToolbar; }
		}
	}
}
