// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Mono.Addins;

namespace StratosClient.Ventas
{
	public class VisualizadorNode : ExtensionNode
	{
		[NodeAttribute]
		private string tipoDocumento;
		
		[NodeAttribute]
		private string componenteVisualizador;
		
		[NodeAttribute]
		private string componenteCargador;

		public string ComponenteVisualizador {
			get { return this.componenteVisualizador; }
		}

		public string TipoDocumento {
			get { return this.tipoDocumento; }
		}
		
		public CargadorElemento ComponenteCargador {
			get {
				CargadorElemento cargador = null;
				
				try {
					cargador = (CargadorElemento) Addin.CreateInstance(this.componenteCargador);
				}
				catch {
				}
				
				return cargador;
			}
		}
	}
}
