// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Gtk;

namespace CustomWidgets
{
	public class GrabUtil
	{
		private static uint CURRENT_TIME = 0; 
		
		public static void GrabWindow (Gtk.Window window)
		{
			window.GrabFocus();
			
			Grab.Add(window);

            Gdk.GrabStatus grabbed = Gdk.Pointer.Grab(window.GdkWindow, true,
			                                          Gdk.EventMask.ButtonPressMask |
			                                          Gdk.EventMask.ButtonReleaseMask |
			                                          Gdk.EventMask.PointerMotionMask,
			                                          null,
			                                          null,
			                                          CURRENT_TIME);

            if (grabbed == Gdk.GrabStatus.Success)
			{
				grabbed = Gdk.Keyboard.Grab(window.GdkWindow, true, CURRENT_TIME);

				if (grabbed != Gdk.GrabStatus.Success) 
				{
					Grab.Remove(window);
					window.Destroy();
				}
			} 
			else 
			{
				Grab.Remove(window);
				window.Destroy();
			}
		}
		
		public static void RemoveGrab( Gtk.Window window )
		{
			Grab.Remove(window);
			Gdk.Pointer.Ungrab (CURRENT_TIME);
			Gdk.Keyboard.Ungrab(CURRENT_TIME);
		}
		
	}
}
