// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using Stratos.ModeloDto;
using Stratos.Common;

namespace CustomWidgets
{
	public class PrecioUnitarioCellRenderer : ImporteCellRenderer<ItemProductoDto>
	{
		public PrecioUnitarioCellRenderer(ListaItemsProducto treeView) : base(treeView)
		{
		}
		
		protected override Gtk.TreeViewColumn ModificarItem (ItemProductoDto item,
		                                       string nuevoValor)
		{
			item.precioUnitario = StratosUtil.ParseDouble(nuevoValor, 2);
			
			return null;
		}
		
		protected override void EdicionIniciada (Gtk.Entry entry, string path, ItemProductoDto item)
		{
			entry.Text = StratosUtil.DoubleToString(item.precioUnitario);
		}
		
		protected override bool ComenzarEdicion ()
		{
			ItemProductoDto itemActual =
				this.treeView.ObtenerItemSeleccionadoGenerico();
			
			// Si el producto está cargado y es abstracto, permito editar el precio unitario
			if (itemActual.productoId > 0 &&
			    itemActual.productoAbstracto)
				return true;
			
			return false;
		}
	}
}
