// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace CustomWidgets
{
	public class ChequeFechaEmisionCellRenderer : CellRendererInteractivoBase<ItemReciboDto>
	{
		public ChequeFechaEmisionCellRenderer (ListaItemsRecibo treeView) : base(treeView)
		{
		}
		
		protected override bool ComenzarEdicion ()
		{
			// Sólo comienzo la edición si el medio de pago es Cheque
			ItemReciboDto item = this.treeView.ObtenerItemSeleccionadoGenerico();
			
			if (item.medioPag != MedioPago.Cheque)
				return false;
			
			return true;
		}
		
		protected override void EdicionIniciada (Gtk.Entry entry, string path, ItemReciboDto item)
		{
		}
		
		protected override Gtk.TreeViewColumn ModificarItem (ItemReciboDto item, string nuevoValor)
		{
			if (item.cheque == null)
				item.cheque = new ChequeDto();
			
			DateTime fecha = DateTime.Parse(nuevoValor);
			
			item.cheque.fechaEmisionTicks = fecha.Ticks;
			
			return null;
		}
		
		protected override bool ValidarDatos (ItemReciboDto item, string nuevoValor)
		{
			DateTime temp;
			if (DateTime.TryParse(nuevoValor, out temp))
				return true;
			
			return false;
		}
	}
}
