// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.Common;
using Stratos.ModeloDto;

namespace CustomWidgets
{
	public class ImporteItemReciboCellRenderer : ImporteCellRenderer<ItemReciboDto>
	{
		public ImporteItemReciboCellRenderer (ListaItemsRecibo treeView) : base(treeView)
		{
		}
		
		protected override bool ComenzarEdicion ()
		{
			return true;
		}
		
		protected override Gtk.TreeViewColumn ModificarItem (ItemReciboDto item, string nuevoValor)
		{
			item.importe = StratosUtil.ParseDouble(nuevoValor, 2);
			
			if (item.medioPag == MedioPago.Cheque) {
				
				// Si no hay un cheque, creo uno nuevo
				if (item.cheque == null)
					item.cheque = new ChequeDto();
				
				// Ahora asigno el importe también al cheque
				item.cheque.importe = item.importe;
			}
			
			return null;
		}
		
		protected override bool ValidarDatos (ItemReciboDto item, string nuevoValor)
		{
			double temp;
			if (double.TryParse(nuevoValor, out temp)) {
				if (temp > 0.00)
					return true;
			}
			
			return false;
		}
	}
}
