// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace CustomWidgets
{
	/// <summary>
	/// Elementos seleccionables para la clase TreeViewSeleccionable. Son los objetos
	/// que se almacenan en el modelo de dicho TreeView.
	/// </summary>
	public class ElementoSeleccionable<T>
	{
		#region Campos
		private bool seleccionado;
		private bool soloLectura;
		
		private T elemento;
		#endregion
		
		#region Constructores
		public ElementoSeleccionable(T elemento)
		{
			this.seleccionado = false;
			this.soloLectura = false;
			
			this.elemento = elemento;
		}
		#endregion
		
		#region Propiedades
		public bool Seleccionado {
			get { return this.seleccionado; }
			set { this.seleccionado = value; }
		}
		
		/// <summary>
		/// Devuelve el elemento real.
		/// </summary>
		public T Elemento {
			get { return this.elemento; }
			set { this.elemento = value; }
		}
		
		public bool SoloLectura {
			get { return this.soloLectura; }
			set { this.soloLectura = value; }
		}
		#endregion
	}
}
