// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;

namespace CustomWidgets
{
	public interface IListaSeleccionable<T> : IColeccionElementosVista
	{
		System.Func<T,bool> PermitirSeleccion {
			get; set;
		}
		
		List<T> ElementosSeleccionados {
			get;
		}
		
		List<T> ElementosSeleccionablesSeleccionados {
			get;
		}
		
		/// <summary>
		/// Agrega una lista de elementos y los marca como seleccionados. Es utilizado
		/// en los casos en que se cargan datos.
		/// </summary>
		/// <param name="elementos">
		/// A <see cref="T[]"/>
		/// </param>
		void AgregarElementosComoSeleccionados(params T[] elementos);
		
		void DeseleccionarTodosLosElementos();
		
		List<T> ObtenerTodosElementosPrimarios();
	}
}
