// Copyright (C) 2009, 2010 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using Stratos.ModeloDto;

namespace CustomWidgets
{
	/// <summary>
	/// Clase para mostrar listados de elementos tipo PresupuestoDto.
	/// </summary>
	public class TvPresupuestos : TvDocumentosVenta<PresupuestoDto>
	{
		#region
		public TreeViewColumn tvcNumero;
		#endregion
		
		#region Constructores
		public TvPresupuestos () : base()
		{
			#region Columnas
			TreeViewColumn tvcColumna;
			CellRendererText crtColumnaRender;
			
			tvcColumna = new TreeViewColumn();
			tvcColumna.Title = "Número";
			crtColumnaRender = new CellRendererText();
			crtColumnaRender.Xalign = 1.0f;
			tvcColumna.PackStart(crtColumnaRender, true);
			tvcColumna.SetCellDataFunc(crtColumnaRender, this.RenderNumero);
			this.InsertColumn(tvcColumna, 2);
			this.tvcNumero = tvcColumna;
			#endregion
		}
		#endregion
		
		#region Métodos de renderizado
		protected override void RenderCliente (TreeViewColumn column,
		                                       CellRenderer cell,
		                                       TreeModel model,
		                                       TreeIter iter)
		{
			PresupuestoDto presupuesto = this.RenderBase(column, cell, model, iter);
			string valor = String.Empty;
			
			if (presupuesto.cliente != null)
				valor = presupuesto.cliente.razonSocial;
			else if (!String.IsNullOrEmpty(presupuesto.razonSocial))
				valor = presupuesto.razonSocial;
			
			(cell as CellRendererText).Text = valor;
		}
		
		protected void RenderNumero (TreeViewColumn column,
		                             CellRenderer cell,
		                             TreeModel model,
		                             TreeIter iter)
		{
			PresupuestoDto presupuesto = this.RenderBase(column, cell, model, iter);
			string valor = String.Empty;
			
			if (presupuesto != null)
				valor = presupuesto.id.ToString();
			
			(cell as CellRendererText).Text = valor;
		}
		#endregion
	}
}
