// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Configuration;

namespace StratosClient.Core.Gui.Configuracion
{
	/// <summary>
	/// Elemento principal de configuración del módulo Servicio de Facturación.
	/// Posee propiedades para indicar la configuración de las impresoras.
	/// </summary>
	public class ConexionElement : ConfigurationElement
	{
		#region Propiedades
		public static ConexionElement Instancia {
			get {
				return (ConexionElement) StratosClientConfig
					.GetConfigurationElement(NombreSeccion);
			}
		}
		
		public static string NombreSeccion {
			get { return "Conexion"; }
		}
		
		[ConfigurationProperty("nombreTerminal",
		                       IsRequired = false,
		                       DefaultValue = "Terminal sin nombre")]
		public string NombreTerminal {
			get { return (string) base["nombreTerminal"]; }
			set { base["nombreTerminal"] = value; }
		}
		
		[ConfigurationProperty("direccionServidor",
		                       IsRequired = false,
		                       DefaultValue = "127.0.0.1")]
		public string DireccionServidor {
			get { return (string) base["direccionServidor"]; }
			set { base["direccionServidor"] = value; }
		}
		
		[ConfigurationProperty("puertoServidor",
		                       IsRequired = false,
		                       DefaultValue = 10000)]
		public int PuertoServidor {
			get { return (int) base["puertoServidor"]; }
			set { base["puertoServidor"] = value; }
		}
		
		[ConfigurationProperty("puertoLocal",
		                       IsRequired = false,
		                       DefaultValue = 6000)]
		public int PuertoLocal {
			get { return (int) base["puertoLocal"]; }
			set { base["puertoLocal"] = value; }
		}
		
		[ConfigurationProperty("timeoutCT",
		                       IsRequired = false,
		                       DefaultValue = 10000)]
		public int TimeoutControladorTerminales {
			get { return (int) base["timeoutCT"]; }
			set { base["timeoutCT"] = value; }
		}
		#endregion
	}
}
