// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Core.Gui
{
	/// <summary>
	/// Ofrece eventos de interez global. Permite disparar ciertos eventos también.
	/// </summary>
	public static class EventosGlobales
	{
		public static event System.Action<DocumentoIdDto> ElementoEliminado;
		
		/// <summary>
		/// Dispara el evento de que un elemento ha sido eliminado.
		/// </summary>
		/// <param name="elemento">
		/// A <see cref="DocumentoIdDto"/>
		/// </param>
		public static void DispararElementoEliminado(DocumentoIdDto elemento)
		{
			if (ElementoEliminado != null)
				ElementoEliminado(elemento);
		}
	}
}
