// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
//
// This file is part of Stratos.
//
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Mono.Addins;
using Stratos.Common;

namespace StratosClient.Core.Gui
{
	public class ToolButtonNode : WidgetNode
	{
		[NodeAttribute]
		string etiqueta;
		
		[NodeAttribute]
		string icono;
		
		[NodeAttribute]
		string tipoComando;
		
		public override Gtk.Bin GetWidget ()
		{
			Gtk.ToolButton but = new Gtk.ToolButton (this.icono);
			but.Label = this.etiqueta;
			but.Clicked += OnClicked;
			return but;
		}
		
		void OnClicked (object s, EventArgs a)
		{
			IComando cmd = (IComando) Addin.CreateInstance (tipoComando);
			cmd.Ejecutar();
		}
	}
}
