// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
//
// This file is part of Stratos.
//
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using Gtk;

namespace StratosClient.Core.Gui
{
	public class AcercaDeDialog : Gtk.AboutDialog
	{
		public AcercaDeDialog()
		{
			this.TransientFor = MainWindow.Instancia;
			this.WindowPosition = WindowPosition.CenterOnParent;
			
			Assembly asm = Assembly.GetExecutingAssembly();

			this.ProgramName = "Cliente Stratos";
			this.Version = asm.GetName().Version.ToString(3);
			this.Comments = "Cliente del sistema de gestión integral Stratos";
			this.Copyright = "Copyright (C) 2009-" + DateTime.Now.Year + " Milton Pividori, César Sandrigo";
			
			this.License = this.GetRecurso("licencia");
			this.Authors = this.GetAutores();
			this.Logo = Gdk.Pixbuf.LoadFromResource("logo.png");
		}

		private string[] GetAutores()
		{
			return(this.GetRecurso("autores").Split(new char[] {'\n'}));
		}

		private string GetRecurso(string nombreRecurso) {
			Assembly assembly = Assembly.GetExecutingAssembly();
			
			Stream st = assembly.GetManifestResourceStream(nombreRecurso);
			TextReader textReader = new StreamReader(st);
			string result = textReader.ReadToEnd();
			textReader.Close();
			
			return result;
		}
	}
}