// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using StratosClient.Core.Gui.Configuracion;

namespace StratosClient.Core.Gui
{
	public partial class ConexionAvanzada : Gtk.Dialog
	{
		public ConexionAvanzada(Gtk.Window parentWindow) : base("Conexión avanzada",
		                                                        parentWindow,
		                                                        DialogFlags.Modal)
		{
			this.Build();
			
			this.txtDireccionServidor.Text =
				ConexionElement.Instancia.DireccionServidor;
			
			this.txtDireccionServidor.SelectRegion(0, this.txtDireccionServidor.Text.Length);
			
			// El botón 'Aceptar' es el widget por defecto
			this.txtDireccionServidor.ActivatesDefault = true;
			this.Default = this.buttonOk;
		}
		
		public string DireccionServidor {
			get { return this.txtDireccionServidor.Text; }
		}
	}
}
