// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

namespace StratosClient.Core.Gui
{
	public partial class SplashScreen : Gtk.Window
	{
		private static SplashScreen instancia;
		
		public SplashScreen() : base(Gtk.WindowType.Toplevel)
		{
			this.Build();
			
			instancia = this;
		}
		
		public static SplashScreen Instancia {
			get { return instancia; }
		}
		
		public void ActualizarEstado(string nuevoEstado)
		{
			Gtk.Application.Invoke(delegate {
				this.lblEstado.Text = nuevoEstado;
			});
		}
		
		public void Cerrar()
		{
			Gtk.Application.Invoke(delegate {
				instancia = null;
				this.Destroy();
			});
		}
	}
}
