// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;
using Stratos.Common;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	public class ClienteWrapper
	{
		private ClienteDto cliente;
		
		public ClienteWrapper(ClienteDto cliente)
		{
			this.cliente = cliente;
		}
		
		public long Codigo {
			get { return this.cliente.codigo; }
		}
		
		public string RazonSocial {
			get { return this.cliente.razonSocial; }
		}
		
		public string Cuit {
			get { return this.cliente.cuit; }
		}
		
		public string TipoResponsable {
			get { return StratosUtil.SplitCamelString(this.cliente.tipoRes.ToString()); }
		}
		
		public DomicilioWrapper Domicilio {
			get { return new DomicilioWrapper(this.cliente.domicilio); }
		}
	}
}
