// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.Common;
using Stratos.ModeloDto;

namespace StratosClient.Core.Gui
{
	public class DocumentoDebitoWrapper
	{
		private DocumentoDebitoDto documentoDebito;
		
		public DocumentoDebitoWrapper (DocumentoDebitoDto documentoDebito)
		{
			this.documentoDebito = documentoDebito;
		}
		
		public string TipoDocumento {
			get { return StratosUtil.SplitCamelString(this.documentoDebito.tipoDoc.ToString()); }
		}
		
		public int CodigoFactura {
			get { return this.documentoDebito.codigoFactura; }
		}
		
		public long NumeroFactura {
			get { return this.documentoDebito.numeroFactura; }
		}
		
		public DateTime FechaVencimiento {
			get { return new DateTime(this.documentoDebito.fechaVencimientoTicks); }
		}
		
		public double ImporteTotal {
			get { return this.documentoDebito.importeTotal; }
		}
		
		public double ImportePendiente {
			get { return this.documentoDebito.importePendiente; }
		}
	}
}
