// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.Common;
using Stratos.ModeloDto;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	public class DocumentoGenericoWrapper
	{
		protected DocumentoGenericoDto documentoGenerico;
		
		public DocumentoGenericoWrapper (DocumentoGenericoDto documentoGenerico)
		{
			this.documentoGenerico = documentoGenerico;
		}
		
		public long Id {
			get { return this.documentoGenerico.id; }
		}
		
		public virtual string Tipo {
			get {
				string nombreTipo =
					StratosUtil.SplitCamelString(this.documentoGenerico.GetType().Name);
				
				if (nombreTipo.ToLower().EndsWith("dto"))
					nombreTipo = nombreTipo.Substring(0, nombreTipo.Length - 3).Trim();
				
				return nombreTipo;
			}
		}
		
		public DateTime Fecha {
			get { return new DateTime(this.documentoGenerico.fechaTicks); }
		}
		
		public string Observaciones {
			get { return this.documentoGenerico.observaciones; }
		}
	}
}
