// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.Common;
using Stratos.ModeloDto;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	/// <summary>
	/// El objetivo de esta clase es ser de wrapper para ItemProductoDto y así
	/// poder ser utilizada desde NVelocity, ya que éste no puede leer campos
	/// públicos, sino solo propiedades.
	/// </summary>
	public class ItemProductoWrapper
	{
		private ItemProductoDto itemProductoDto;
		
		public ItemProductoWrapper(ItemProductoDto itemProductoDto)
		{
			this.itemProductoDto = itemProductoDto;
		}
		
		#region Producto relacionado
		public string ProductoCodigo {
			get { return this.itemProductoDto.productoCodigo; }
		}
		#endregion
		
		public int Orden {
			get { return this.itemProductoDto.orden; }
		}
		
		public string Descripcion {
			get { return this.itemProductoDto.descripcion; }
		}
		
		public double Cantidad {
			get { return this.itemProductoDto.cantidad; }
		}
		
		public string UnidadResumida {
			get { return StratosUtil.UnidadResumida(this.itemProductoDto.productoUnidad); }
		}
		
		public double PrecioUnitario {
			get { return this.itemProductoDto.precioUnitario; }
		}
		
		public double PorcentajeBonificacion {
			get { return this.itemProductoDto.porcentajeBonificacion; }
		}
		
		public double Importe {
			get { return this.itemProductoDto.importe; }
		}
	}
}
