// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	public class DocumentoMovimientoWrapper : DocumentoGenericoWrapper
	{
		public DocumentoMovimientoWrapper (DocumentoGenericoDto documentoGenerico)
			: base(documentoGenerico)
		{
		}
		
		public ClienteWrapper Cliente {
			get {
				ClienteDto cliente = null;
				
				DocumentoVentaDto docVenta = this.documentoGenerico as DocumentoVentaDto;
				ReciboDto rec = this.documentoGenerico as ReciboDto;
				
				if (docVenta != null)
					cliente = docVenta.cliente;
				else if (rec != null)
					cliente = rec.cliente;
				
				return new ClienteWrapper(cliente);
			}
		}
		
		public string Concepto {
			get {
				ReciboDto rec = this.documentoGenerico as ReciboDto;
				
				if (rec != null)
					return rec.concepto;
				else
					return "-";
			}
		}
		
		public double Importe {
			get {
				double importe = 0.00;
				
				DocumentoVentaDto docVenta = this.documentoGenerico as DocumentoVentaDto;
				ReciboDto rec = this.documentoGenerico as ReciboDto;
				
				if (docVenta != null)
					importe = docVenta.importeFinal;
				else if (rec != null)
					importe = rec.importe;
				
				return importe;
			}
		}
	}
}
