// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	public class MovimientosWrapper
	{
		private ClienteWrapper cliente;
		private DateTime fechaDesde;
		private DateTime fechaHasta;
		private DocumentoMovimientoWrapper[] documentos;
		
		public MovimientosWrapper(ClienteDto cliente, DateTime fechaDesde, DateTime fechaHasta, DocumentoGenericoDto[] documentos)
		{
			this.cliente = new ClienteWrapper(cliente);
			this.fechaDesde = fechaDesde;
			this.fechaHasta = fechaHasta;
			
			this.documentos = new DocumentoMovimientoWrapper[documentos.Length];
			for(int i=0; i<documentos.Length; i++)
				this.documentos[i] = new DocumentoMovimientoWrapper(documentos[i]);
		}
		
		public ClienteWrapper Cliente {
			get { return this.cliente; }
		}
		
		public DateTime FechaHasta {
			get { return this.fechaHasta; }
		}
		
		public DateTime FechaDesde {
			get { return fechaDesde; }
		}
		
		public DocumentoMovimientoWrapper[] Documentos {
			get { return this.documentos; }
		}
	}
}
