// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Core.Gui.ImpresionBorrador
{
	public class ChequeWrapper
	{
		private ChequeDto chequeDto;
		
		public ChequeWrapper(ChequeDto chequeDto)
		{
			this.chequeDto = chequeDto;
			
			// Si el cheque es nulo coloco un cheque vacío
			if (this.chequeDto == null)
				this.chequeDto = new ChequeDto();
		}
		
		public string Banco {
			get { return this.chequeDto.banco != null ? this.chequeDto.banco : String.Empty; }
		}
		
		public string Sucursal {
			get { return this.chequeDto.sucursal != null ? this.chequeDto.sucursal : String.Empty; }
		}
		
		public double Numero {
			get { return this.chequeDto.numero; }
		}
		
//		public DateTime FechaEmision {
//			get {
//				return new DateTime(this.chequeDto.fechaEmisionTicks);
//			}
//		}
//		
//		public DateTime FechaVencimiento {
//			get { return new DateTime(this.chequeDto.fechaVencimientoTicks); }
//		}
		
		public string Observacion {
			get { return this.chequeDto.observacion != null ? this.chequeDto.observacion : String.Empty; }
		}
		
		public double Importe {
			get { return this.chequeDto.importe; }
		}
	}
}
