// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

namespace StratosClient.Core.Gui
{
	/// <summary>
	/// Esta clase debe ser implementada cuando se quiere realizar verficaciones en
	/// algún punto de la aplicación. Por ejemplo, se puede verificar si hay documentos
	/// sin guardar antes de salir suscribiéndose al punto de extensión correspondiente.
	/// </summary>
	public interface IVerificador
	{
		bool HayTareaPendiente {
			get;
		}
		
		string Seccion {
			get;
		}
		
		string[] Mensajes {
			get;
		}
	}
}
