// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.IO;

using log4net;

using StratosClient.Core.Gui;

namespace StratosClient.Startup
{
	public class MainClass
	{
		private static readonly ILog logger =
			LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod()
			                     .DeclaringType);
		
		public static void Main(string[] args)
		{
			// Asigno el directorio actual de la aplicación en el directorio
			// donde se encuentra el assembly StratosClient.Startup.exe
			
			logger.Debug("Cambiando el directorio actual de la aplicación");
			string directorioAplicacion =
				Path.GetDirectoryName(System.Reflection.Assembly
				                      .GetExecutingAssembly().Location);
			
			Directory.SetCurrentDirectory(directorioAplicacion);
			logger.DebugFormat("El nuevo directorio actual de la aplicación es '{0}'",
			                   directorioAplicacion);
			
			// Inicio StratosClient.Core.Gui
			StratosClient.Core.Gui.MainClient.Iniciar(args);
			
			logger.Debug("Saliendo de la aplicación");
			Environment.Exit(0);
		}
	}
}
