// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.ModeloDto;

namespace StratosClient.Widgets.Level2
{
	public class UnidadCellRenderer : ComboCellRendererBase<UnidadProducto,ItemProductoDto>
	{
		public UnidadCellRenderer (ListaItemsCompras lista) : base(lista)
		{
			this.HasEntry = false;
		}
		
		protected override void ModificarItem (ItemProductoDto item, string nuevoValor)
		{
			item.productoUnidad = (UnidadProducto) Enum.Parse(typeof(UnidadProducto), nuevoValor);
		}
		
		protected override bool ComenzarEdicion ()
		{
			ItemProductoDto itemActual =
				this.treeView.ObtenerItemSeleccionadoGenerico();
			
			// Si el producto está cargado y es abstracto, permito editar la unidad
			if (itemActual.productoAbstracto)
				return true;
			
			return false;
		}
	}
}
