// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Gtk;

using Stratos.ModeloDto;

namespace StratosClient.Widgets.Level2
{
	public class MedioPagoCellRenderer : ComboCellRendererBase<MedioPago,ItemReciboDto>
	{
		public MedioPagoCellRenderer (ListaItemsRecibo treeView) : base(treeView)
		{
			this.HasEntry = false;
		}
		
		protected override void ModificarItem (ItemReciboDto item, string nuevoValor)
		{
			item.medioPag = (MedioPago) Enum.Parse(typeof(MedioPago), nuevoValor);
			
			// Si cambiamos al medio de pago 'Efectivo', entonces borro los datos del cheque
			if (item.medioPag == MedioPago.Efectivo)
				item.cheque = new ChequeDto();
			
			else if (item.medioPag == MedioPago.Cheque) {
				item.cheque = new ChequeDto();
				
				// Asigno al cheque el valor del importe actual del item
				item.cheque.importe = item.importe;
			}
		}
		
		protected override bool ComenzarEdicion ()
		{
			return true;
		}
	}
}
