// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using log4net;

using Stratos.Common;
using StratosServer.Core;
using StratosServer.Controladores;

namespace StratosServer.Proveedores
{
	public class MainProveedores : IServicioServidor
	{
		private ServidorStratos servidorStratos;
		
		#region IServicioServidor implementation
		public object InstanciaServidorStratos {
			set { this.servidorStratos = (ServidorStratos) value; }
		}
		
		public string IceIdentity {
			get { return "ControladorProveedores"; }
		}
		
		public Type InterfaceServicio {
			get { return typeof(ControladorProveedoresOperations_); }
		}
		
		public object Servant {
			get { return new ControladorProveedoresI(); }
		}
		
		public Ice.ObjectPrx uncheckedCast (Ice.ObjectPrx iceObject)
		{
			return ControladorProveedoresPrxHelper.uncheckedCast(iceObject);
		}
		#endregion
	}
}
