// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
//
// This file is part of Stratos.
//
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;

using Stratos.Common;
using StratosServer.Controladores;
using StratosServer.Core;
using Stratos.Servicios;

namespace StratosServer.Ventas.Facturacion
{
	public class MainFacturacion : IServicioServidor
	{
		private ServidorStratos servidorStratos;
		
		#region IServicioServidor implementation
		public object InstanciaServidorStratos {
			set { this.servidorStratos = (ServidorStratos) value; }
		}
		
		public string IceIdentity {
			get { return "ControladorFacturacion"; }
		}
		
		public Type InterfaceServicio {
			get { return typeof(ControladorFacturacionOperations_); }
		}
		
		public object Servant {
			get {
				// Creo la fuente de datos de terminales
				Dictionary<string,DatosTerminal> terminales =
					new Dictionary<string, DatosTerminal>();
				
				// Creo el servicio de búsqueda de impresoras
				BuscadorTerminalesImpresoras buscador =
					new BuscadorTerminalesImpresoras(terminales);
				
				// Seteo la fuente al ConexionTerminalListener
				ConexionTerminalListener.TerminalesImpresoras = terminales;
				
				// Creo el Servant con la instancia del servidor y el buscador de terminales
				return new ControladorFacturacionI(this.servidorStratos,
				                                   buscador,
				                                   ControladorTerminalesI.Instancia);
			}
		}
		
		public Ice.ObjectPrx uncheckedCast (Ice.ObjectPrx iceObject)
		{
			return ControladorFacturacionPrxHelper.uncheckedCast(iceObject);
		}
		#endregion
	}
}
