// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.
using System;
using System.Configuration;

namespace StratosServer.Ventas.Facturacion.Configuracion
{
	/// <summary>
	/// Codigo factura element.
	/// </summary>
	public class CodigoFacturaElement : ConfigurationElement
	{
		#region Constantes
		private const string ATRIBUTO_CODIGO = "codigo";
		private const string ATRIBUTO_DESCRIPCION = "descripcion";
		private const string ATRIBUTO_FACTURAMANUAL = "facturamanual";
		private const string ATRIBUTO_SOLONOTACREDITO = "solonotacredito";
		#endregion
		
		#region Constructores
		
		public CodigoFacturaElement()
		{
		}
		
		#endregion
		
		#region Propiedades
		
		[ConfigurationProperty(ATRIBUTO_CODIGO, IsKey = true, IsRequired = true, DefaultValue="-1")]
		public string Codigo
		{
			get { return (string)this[ATRIBUTO_CODIGO]; }
			set { this[ATRIBUTO_CODIGO] = value; }
		}
		 
		[ConfigurationProperty(ATRIBUTO_DESCRIPCION, IsRequired = true, DefaultValue="")]
		public string Descripcion
		{
			get { return (string)this[ATRIBUTO_DESCRIPCION]; }
			set { this[ATRIBUTO_DESCRIPCION] = value; }
		}
		 
		[ConfigurationProperty(ATRIBUTO_FACTURAMANUAL, IsRequired = true, DefaultValue = "true")]
		public string FacturaManual
		{
			get { return (string)this[ATRIBUTO_FACTURAMANUAL]; }
			set { this[ATRIBUTO_FACTURAMANUAL] = value; }
		}
		
		[ConfigurationProperty(ATRIBUTO_SOLONOTACREDITO, IsRequired = true, DefaultValue = "false")]
		public string SoloNotaCredito
		{
			get { return (string)this[ATRIBUTO_SOLONOTACREDITO]; }
			set { this[ATRIBUTO_SOLONOTACREDITO] = value; }
		}
		
		#endregion
	}
}

