// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.
using System;
using System.Configuration;

namespace StratosServer.Ventas.Facturacion.Configuracion
{
	/// <summary>
	/// Codigo factura element colection.
	/// </summary> 
	public class CodigoFacturaElementCollection : ConfigurationElementCollection
	{
		public CodigoFacturaElementCollection()
		{
		}

		#region Propiedades y metodos sobreescritos
		
		public override ConfigurationElementCollectionType CollectionType
	    {
	        get {
				return ConfigurationElementCollectionType.AddRemoveClearMap;
				//return ConfigurationElementCollectionType.BasicMap;
			}
	    }
		
		public CodigoFacturaElement this[int index]
	    {
	        get { return (CodigoFacturaElement)BaseGet(index); }
	        set
	        {
	            if (BaseGet(index) != null)
	                BaseRemoveAt(index);
	            BaseAdd(index, value);
			}
	    }

	    public void Add(CodigoFacturaElement element)
	    {
	        BaseAdd(element);
	    }
	
	    public void Clear()
	    {
	        BaseClear();
	    }
	
	    protected override ConfigurationElement CreateNewElement()
	    {
	        return new CodigoFacturaElement();
	    }
	
	    protected override object GetElementKey(ConfigurationElement element)
	    {
	        return ((CodigoFacturaElement)element).Codigo;
	    }
	
	    public void Remove(CodigoFacturaElement element)
	    {
	        BaseRemove(element.Codigo);
	    }
	
	    public void Remove(string name)
	    {
	        BaseRemove(name);
	    }
	
	    public void RemoveAt(int index)
	    {
	        BaseRemoveAt(index);
	    }
		
		#endregion
		
		
	}
}

