// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.
using System;
using System.Configuration;
using StratosServer.Core.Configuracion;

namespace StratosServer.Ventas.Facturacion.Configuracion
{
	/// <summary>
	/// Configuracion sobre Facturacion
	/// </summary>
	public class FacturacionElement : ConfigurationElement
	{
		public static FacturacionElement Instancia {
			get {
				return (FacturacionElement) StratosServerConfig
					.GetConfigurationElement(NombreSeccion);
			}
		}
		
		public static string NombreSeccion {
			get { return "Facturacion"; }
		}
		
		[
		ConfigurationProperty("CodigosDeFacturas", IsDefaultCollection=false),
		ConfigurationCollection(typeof(CodigoFacturaElementCollection), AddItemName="add", ClearItemsName="clear", RemoveItemName="remove")
		]
		public CodigoFacturaElementCollection CodigosDeFacturas
		{
		    get { return this["CodigosDeFacturas"] as CodigoFacturaElementCollection; }
		}
	}
}

