// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Configuration;

namespace StratosServer.Core.Configuracion
{
	/// <summary>
	/// Opciones sobre la conexión.
	/// </summary>
	public class ConexionElement : ConfigurationElement
	{
		private const string CONFIGURACION_INTERFACES = "interfacesConfiguracion";
		
		#region Propiedades
		public static ConexionElement Instancia {
			get {
				return (ConexionElement) StratosServerConfig
					.GetConfigurationElement(NombreSeccion);
			}
		}
		
		public static string NombreSeccion {
			get { return "Conexion"; }
		}
		
		/// <summary>
		/// Indica las interfaces donde el servidor va a escuchar por
		/// nuevas conexiones.
		/// </summary>
		[ConfigurationProperty(CONFIGURACION_INTERFACES,
		                       IsRequired = false,
		                       DefaultValue = "tcp -h * -p 10000")]
		public string InterfacesConfiguracion {
			get { return (string) base[CONFIGURACION_INTERFACES]; }
			set { base[CONFIGURACION_INTERFACES] = value; }
		}
		#endregion
	}
}
