// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using Stratos.Common;

namespace StratosServer.Core.Configuracion
{
	/// <summary>
	/// Gestor específico de configuración para el servidor.
	/// </summary>
	public class StratosServerGestorConfiguracion : GestorConfiguracionGenerico<StratosServerConfigurationSection>
	{
		public StratosServerGestorConfiguracion () : base()
		{
		}
		
		protected override string ArchivoConfiguracion {
			get { return "StratosServer.config"; }
		}

		protected override string NombreSeccionPrincipal {
			get { return "StratosServerConfig"; }
		}
		
		protected override string PathAddinsConfiguracionCambiada {
			get { return "/StratosServer/Core/Configuracion/ConfiguracionCambiada"; }
		}
	}
}
