// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;

using NUnit.Framework;

namespace StratosServer.Tests
{
	[TestFixture]
	public class StratosServerTestBaseTests : StratosServerTestBase
	{
		[Test]
		public void TestInitControlador()
		{
			// Verifico la correcta creación de los mocks de tipo ControladorBasePrx
			Assert.IsNotNull(this.controladorBase1.ice_getIdentity(),
			                 "Ice.Identity 1 no nulo");
			Assert.AreEqual("IdentidadControlador", this.controladorBase1.ice_getIdentity().name,
			                "Ice.Identity 1 name");
			
			Assert.IsNotNull(this.controladorBase2.ice_getIdentity(),
			                 "Ice.Identity 2 no nulo");
			Assert.AreEqual("OtraIdentidadControlador", this.controladorBase2.ice_getIdentity().name,
			                "Ice.Identity 2 name");
			
			// Verifico la correcta creación de los mocks de tipo Ice.Current
			Assert.AreEqual("local address = 127.0.0.1:10000\n" +
			                	"remote address = 127.0.0.1:3161",
			                this.iceCurrentIp1Puerto1.con.ice_toString_(),
			                "iceCurrentIp1Puerto1");
			
			Assert.AreEqual("local address = 127.0.0.1:10000\n" +
			                	"remote address = 127.0.0.1:3232",
			                this.iceCurrentIp1Puerto2.con.ice_toString_(),
			                "iceCurrentIp1Puerto2");
			
			Assert.AreEqual("local address = 192.168.1.1:10000\n" +
			                	"remote address = 192.168.1.102:9982",
			                this.iceCurrentIp2Puerto1.con.ice_toString_(),
			                "iceCurrentIp2Puerto1");
		}
	}
}
