"""Script para copiar el archivo ActiveRecord.config.xml a todos los
directorios de todos los assemblies de los tests de unidad, para activar
ciertas opciones"""

import System.Collections
import System.Collections.Generic
import System.Reflection
import System.IO

# Valido los argumentos del script
if argv.Length < 2:
	print "Uso: ./script ARCHIVO_FUENTE ARCHIVO_DESTINO"
	return

archivo = argv[0]
archivoDestino = argv[1]

# Busco los directorios Debug y Release en el directorio actual
dirsDebug as (string) = Directory.GetDirectories(".", "Debug", SearchOption.AllDirectories)
dirsRelease as (string) = Directory.GetDirectories(".", "Release", SearchOption.AllDirectories)
dirsBuild as (string) = Directory.GetDirectories(".", "build", SearchOption.AllDirectories)

# Armo una lista con todos los directorios encontrados, juntos
dirs = []
dirs = dirs.Extend(dirsDebug)
dirs = dirs.Extend(dirsRelease)
dirs = dirs.Extend(dirsBuild)

# Copio el archivo en cuestión en cada directorio
for d in dirs:
	print "Copiando archivo '" + archivo + "' a " + d 
	File.Copy(archivo, d + Path.DirectorySeparatorChar.ToString() + archivoDestino, true)

