import System.IO
import System.Diagnostics

# Valido los argumentos del script
if argv.Length < 2:
  print "Uso: ./script DIRECTORIO_ARCHIVOS_ICE [DIRECTORIO_INCLUDE ...] DIRECTORIO_SALIDA"
  return

directorioArchivosIce = argv[0]
argumentoInclude = ""

/* Si solo tengo 2 argumentos, interpreto el primero como un directorio
 * para pasar como include (opción -I) y al segundo como directorio de salida.
 * Si tengo más que dos argumentos, entonces interpreto todos como include y
 * al último como de salida. */

if argv.Length == 2:
	argumentoInclude = "-I " + argv[0]
else:
	for i in range(argv.Length - 1):
		argumentoInclude += " -I" + argv[i]

directorioSalida = argv[argv.Length - 1]
argumentoSalida = " --output-dir " + directorioSalida

# Genero la parte constante de los argumentos de slice2cs
argumentos = argumentoInclude + " " + argumentoSalida

# Busco todos los archivos .ice
archivosIce as (string) = Directory.GetFiles(directorioArchivosIce, "*.ice", SearchOption.AllDirectories)

# Creo el proceso
proc = ProcessStartInfo("slice2cs")
proc.WindowStyle = ProcessWindowStyle.Hidden

for arc in archivosIce:
	print "Procesando archivo '" + arc + "'"
	proc.Arguments = argumentos + " " + arc
	p = Process.Start(proc)
	p.WaitForExit()

# Fin de linea Unix

proc = ProcessStartInfo("fromdos")
proc.WindowStyle = ProcessWindowStyle.Hidden

archivosCs as (string) = Directory.GetFiles(directorioSalida, "*.cs", SearchOption.AllDirectories)

for arc in archivosCs:
	print "Convirtiendo a fin de linea Unix '" + arc + "'"
	proc.Arguments = arc
	p = Process.Start(proc)
	p.WaitForExit()
